<?php if ( function_exists('register_sidebar') ) register_sidebar();

$args = array
(
    'wp-head-callback'    => 'theme_header_style',
    'admin-head-callback' => 'theme_admin_header_style',
    'default-color' => 'ffffff',
    // The default image to use.
    // The %s is a placeholder for the theme template directory URI.
    'default-image' => '%s/images/header.jpg',
    // The height and width of our custom header.
    'width' => apply_filters( 'twentyten_header_image_width', 900 ),
    'height' => apply_filters( 'twentyten_header_image_height', 180 ),
);

if ( function_exists('add_theme_support') )
    add_theme_support( 'custom-header', $args );

// This is all for compatibility with versions of WordPress prior to 3.4.
define( 'HEADER_TEXTCOLOR', $args['default-color'] );
define( 'NO_HEADER_TEXT', true );
define( 'HEADER_IMAGE', $args['default-image'] );
define( 'HEADER_IMAGE_WIDTH', $args['width'] );
define( 'HEADER_IMAGE_HEIGHT', $args['height'] );

function theme_admin_header_style() {
?>
<style type="text/css">
  #headimg {
	width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
	height:<?php echo HEADER_IMAGE_HEIGHT; ?>px;
	background: url(<?php header_image(); ?>) no-repeat center;	
	text-align:right;
    }
    #headimg h1 {
        padding: 10px 10px 0 0px;
        font-size:1.8em;
        font-variant:small-caps;
    }
    #headimg #desc {
        padding: 0 10px;
        font-size:1em;
    }
    #headimg *
    {
        margin: 0;
        padding: 0;
        text-decoration: none;
        color: #<?php header_textcolor();?>;
    }
</style>
<?php
}
function theme_header_style() {
?>
<style type="text/css">

  #header {
	margin: 0 auto;
	width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
	height:<?php echo HEADER_IMAGE_HEIGHT; ?>px;
	background: url(<?php header_image(); ?>) no-repeat center;	
  }
  #header *
  {
	color: #<?php header_textcolor();?>;
  }
</style>
<?php
}
?>